
<?php
session_start();
include_once '../config/database.php';
include_once '../models/Empleadologin.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $database = new Database();
    $db = $database->getConnection();
    
    $empleado = new Empleado($db);
    $empleado->nroDocumento = $_POST['nroDocumento'];
    $empleado->clave = md5($_POST['clave']); // Asumiendo que las claves están en MD5
    
    $stmt = $empleado->login();
    
    if($stmt->rowCount() > 0) {
        $row = $stmt->fetch(PDO::FETCH_ASSOC);
        $_SESSION['user'] = [
            'codempleado' => $row['codempleado'],
            'nombre' => $row['nombres'] . ' ' . $row['apellidopaterno'] . ' ' . $row['apellidomaterno'],
            'nroDocumento' => $row['nroDocumento']
           // 'codtipousuario' => $row['codtipousuario']
            
        ];
        header("Location: ../dashboard.php");
    } else {
        $_SESSION['error'] = "DNI o contraseña incorrectos";
        header("Location: ../index.php");
    }
}